Bug 1146768 - [abrt] cinnamon: af_latin_hints_link_segments(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: af_latin_hints_link_segments(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2ee9189dce8cd8eaff0956a6b7a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 03:20 UTC by meneldur
Modified: 2015-06-29 22:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:41:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (229.63 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: cgroup (180 bytes, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: core_backtrace (78.21 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: dso_list (18.58 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: environ (1.53 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: exploitable (82 bytes, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: limits (1.29 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: maps (82.83 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: open_fds (5.22 KB, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-09-26 03:20 UTC, meneldur
no flags Details
File: var_log_messages (293 bytes, text/plain)
2014-09-26 03:21 UTC, meneldur
no flags Details

Description meneldur 2014-09-26 03:20:27 UTC
Description of problem:
Computer was idle and display sleeping. I don't know what happened.

Version-Release number of selected component:
cinnamon-2.2.14-7.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: af_latin_hints_link_segments
executable:     /usr/bin/cinnamon
kernel:         3.16.2-201.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 af_latin_hints_link_segments at /usr/src/debug/freetype-2.5.0/src/autofit/aflatin.c:1045
 #1 af_latin_hints_detect_features at /usr/src/debug/freetype-2.5.0/src/autofit/aflatin.c:1409
 #2 af_latin_hints_apply at /usr/src/debug/freetype-2.5.0/src/autofit/aflatin.c:2381
 #3 af_loader_load_g at /usr/src/debug/freetype-2.5.0/src/autofit/afloader.c:184
 #4 af_loader_load_glyph at /usr/src/debug/freetype-2.5.0/src/autofit/afloader.c:553
 #5 af_autofitter_load_glyph at /usr/src/debug/freetype-2.5.0/src/autofit/afmodule.c:234
 #6 FT_Load_Glyph at /usr/src/debug/freetype-2.5.0/src/base/ftobjs.c:712
 #7 _cairo_ft_scaled_glyph_init at cairo-ft-font.c:2249
 #8 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:2981
 #9 INT_cairo_scaled_font_glyph_extents at cairo-scaled-font.c:1602

Comment 1 meneldur 2014-09-26 03:20:40 UTC
Created attachment 941360 [details]
File: backtrace

Comment 2 meneldur 2014-09-26 03:20:41 UTC
Created attachment 941361 [details]
File: cgroup

Comment 3 meneldur 2014-09-26 03:20:46 UTC
Created attachment 941362 [details]
File: core_backtrace

Comment 4 meneldur 2014-09-26 03:20:47 UTC
Created attachment 941363 [details]
File: dso_list

Comment 5 meneldur 2014-09-26 03:20:49 UTC
Created attachment 941364 [details]
File: environ

Comment 6 meneldur 2014-09-26 03:20:50 UTC
Created attachment 941365 [details]
File: exploitable

Comment 7 meneldur 2014-09-26 03:20:52 UTC
Created attachment 941366 [details]
File: limits

Comment 8 meneldur 2014-09-26 03:20:56 UTC
Created attachment 941367 [details]
File: maps

Comment 9 meneldur 2014-09-26 03:20:57 UTC
Created attachment 941368 [details]
File: open_fds

Comment 10 meneldur 2014-09-26 03:20:59 UTC
Created attachment 941369 [details]
File: proc_pid_status

Comment 11 meneldur 2014-09-26 03:21:00 UTC
Created attachment 941370 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:58:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:41:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.